<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Wonderland-FSM</name>
    </assembly>
    <members>
        <member name="T:EODE.Wonderland.StateMachine">
            <summary>
            IState machine base on enum states
            </summary>
        </member>
        <member name="E:EODE.Wonderland.StateMachine.OnStateChanged">
            <summary>
            Called on state change
            </summary>
        </member>
        <member name="M:EODE.Wonderland.StateMachine.StateTransition(EODE.Wonderland.IState,System.Threading.CancellationToken)">
            <summary>
            Performs a state change
            </summary>
        </member>
    </members>
</doc>
